Countries
This method provides a list of countries available in the system, detailing the ID, name, and code of each country.
Token-based authentication with required prefix "Token"
Query parameter code used to filter results based on specific conditions.
Query parameter created_date used to filter results based on specific conditions.
Query parameter id used to filter results based on specific conditions.
Filters records where id is greater than the given value.
Filters records where id is greater than or equal to the given value.
Filters records where id is less than the given value.
Filters records where id is less than or equal to the given value.
Query parameter is_active used to filter results based on specific conditions.
Limits the number of records returned in a single page. The maximum is 1000. A higher value is capped at 1000 and the request still succeeds.
Query parameter modified_date used to filter results based on specific conditions.
Filters records where modified_date is greater than the given value.
Filters records where modified_date is greater than or equal to the given value.
Filters records where modified_date is less than the given value.
Filters records where modified_date is less than or equal to the given value.
Query parameter name used to filter results based on specific conditions.
Query parameter page used to filter results based on specific conditions.
Query parameter sort used to filter results based on specific conditions.
Query parameter translations used to filter results based on specific conditions.
Successful response for status code 200.
Numerical value representing quantity or total amount.
123This field defines the URL of the next page.
http://api.example.org/accounts/?page=4This field defines the URL of the previous page.
http://api.example.org/accounts/?page=2GET /api/v1/remote/1/data-warehouse/countries/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
Successful response for status code 200.
{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2",
"results": [
{
"code": "text",
"created_date": "2026-01-01T00:00:00.000Z",
"id": 1,
"is_active": true,
"modified_date": "2026-01-01T00:00:00.000Z",
"name": "text",
"translations": null
}
]
}This method provides a list of countries available in the system, detailing the ID, name, and code of each country. This endpoint retrieves a specific record by its unique identifier.
Token-based authentication with required prefix "Token"
A unique integer value identifying this country.
Successful response for status code 200.
The field defines the code to be used for the discount.
Timestamp indicating when the record was created.
Unique identifier for the record.
Boolean flag indicating whether the condition is met.
This field defines the last updated date.
The full name or label associated with the record.
This field defines the translations of the district name.
Object not found.
GET /api/v1/remote/1/data-warehouse/countries/{id}/ HTTP/1.1
Host: sandbox.akinon.com
Authorization: YOUR_API_KEY
Accept: */*
{
"code": "text",
"created_date": "2026-01-01T00:00:00.000Z",
"id": 1,
"is_active": true,
"modified_date": "2026-01-01T00:00:00.000Z",
"name": "text",
"translations": null
}Last updated
Was this helpful?

